This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 910500 - (kdiamond) Review Request: kdiamond - A three-in-a-row game
Review Request: kdiamond - A three-in-a-row game
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
:
Depends On: libkdegames
Blocks: kde-reviews kde-4.10
  Show dependency treegraph
 
Reported: 2013-02-12 13:27 EST by Rex Dieter
Modified: 2013-02-20 09:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-20 09:45:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
alekcejk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2013-02-12 13:27:42 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kdiamond.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kdiamond-4.10.0-1.fc18.src.rpm
Description: A single player puzzle game
Fedora Account System Username: rdieter
Comment 1 Rex Dieter 2013-02-15 09:25:43 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kdiamond.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kdiamond-4.10.0-2.fc18.src.rpm

%changelog
* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- update license, summary/description
Comment 2 nucleo 2013-02-18 17:51:13 EST
MUST Items:
+ rpmlint output
  $ rpmlint kdiamond-4.10.0-1.fc18.i686.rpm kdiamond-debuginfo-4.10.0-1.fc18.i686.rpm kdiamond-4.10.0-2.fc18.src.rpm kdiamond.spec 
    kdiamond.i686: W: no-manual-page-for-binary kdiamond
    3 packages and 1 specfiles checked; 0 errors, 1 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name kdiamond-4.10.0.tar.xz
+ spec file name kdiamond.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2+ and GFDL, matches actual license (added notices for parts under different licenses)
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2), COPYING.DOC (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: c9678b18308d72ca637c20622dd0ab6b  kdiamond-4.10.0.tar.xz
  SHA1: 4c587c26e547ad8ace040df5d6f4208aa1116cb2  kdiamond-4.10.0.tar.xz
  SHA256: 2390dc5be56e8e2fbd2013364d11577fc355d68c7fac6d2a71c60dc9f074b0b0  kdiamond-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir}, %{_kde4_configdir} )
+ non-code content: only permitted content, sounds, themes under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ kdiamond.desktop file for the GUI app kdiamond present
+ desktop-file-validate is used in %check and the kdiamond.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir},%{_kde4_configdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from kdiamond's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING, COPYING.DOC)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

SHOULD Items:
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating hicolor icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts

APPROVED
Comment 3 Rex Dieter 2013-02-19 09:43:08 EST
New Package SCM Request
=======================
Package Name: kdiamond
Short Description: A three-in-a-row game
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 4 Jon Ciesla 2013-02-19 13:40:35 EST
Git done (by process-git-requests).
Comment 5 Rex Dieter 2013-02-20 09:45:13 EST
imported

Note You need to log in before you can comment on or make changes to this bug.